<?php
require_once 'db.php';
$data = json_decode(file_get_contents("php://input"), true);

if ($data && $data['status'] === 'COMPLETED') {
    $orderId = $data['partnerOrderId'];
    $txHash = $data['transactionHash'];
    $stmt = $pdo->prepare("UPDATE transactions SET status = 'completed', tx_hash = ?, updated_at = NOW() WHERE order_id = ?");
    $stmt->execute([$txHash, $orderId]);
}
?>
