<?php
require_once 'config.php';

function findMerchant($id) {
    global $pdo;
    $stmt = $pdo->prepare("SELECT * FROM merchants WHERE id = ?");
    $stmt->execute([$id]);
    return $stmt->fetch(PDO::FETCH_ASSOC);
}

function createTransaction($merchant_id, $order_id, $amount, $wallet, $provider, $currency) {
    global $pdo;
    $stmt = $pdo->prepare("INSERT INTO transactions (merchant_id, order_id, fiat_amount, crypto_currency, wallet_address, onramp_provider, status, created_at, updated_at) VALUES (?, ?, ?, ?, ?, ?, 'pending', NOW(), NOW())");
    $stmt->execute([$merchant_id, $order_id, $amount, $currency, $wallet, $provider]);
}
?>
