<?php
ini_set('display_errors', 1);
require_once '../config.php';
session_start();
if ($_POST) {
    $stmt = $pdo->prepare("SELECT * FROM merchants WHERE email = ?");
    $stmt->execute([$_POST['email']]);
    $m = $stmt->fetch();
    if ($m && password_verify($_POST['password'], $m['password_hash'])) {
        $_SESSION['merchant_id'] = $m['id'];
        header("Location: dashboard.php");
        exit;
    }
}
?>
<form method="post">
  Email: <input name="email"><br>
  Password: <input name="password" type="password"><br>
  <button>Login</button>
</form>
