<?php
require_once 'db.php';
$merchant_id = $_GET['merchant'] ?? 0;
$amount = $_GET['amount'] ?? 10;
$currency = $_GET['currency'] ?? 'USD';

$merchant = findMerchant($merchant_id);
$order_id = 'ORDER' . time();

createTransaction($merchant_id, $order_id, $amount, $merchant['wallet_address'], 'transak', 'USDT');
?>
<!DOCTYPE html>
<html>
<head>
  <script src="https://global.transak.com/sdk/v1.1/widget.js"></script>
</head>
<body>
  <script>
    const transak = new TransakSDK({
      apiKey: "YOUR_TRANSAK_API_KEY",
      environment: "STAGING",
      fiatAmount: <?= $amount ?>,
      fiatCurrency: "<?= $currency ?>",
      cryptoCurrencyCode: "USDT",
      walletAddress: "<?= $merchant['wallet_address'] ?>",
      partnerOrderId: "<?= $order_id ?>",
      userData: { email: "" },
      redirectURL: "https://yourdomain.com/thankyou.php?order_id=<?= $order_id ?>"
    });
    transak.init();
  </script>
</body>
</html>
